const { render } = wp.element;
import FloatNonTextBoard from "./floatNonTextBoard";

const floatNonTextBoardMain = () => {
  // Ensure the DOM is fully loaded before rendering the component
  document.addEventListener('DOMContentLoaded', () => {
    const isEditor = document.getElementById('editor');
    if (isEditor) {
      render(
        <FloatNonTextBoard />,
        isEditor
      );
    }
  });
};

export default floatNonTextBoardMain;